# std::allocator_traits::max_size

From cppreference.com
< cpp‎ | memory‎ | allocator traits

Defined in header `<memory>` |  |
static size_type max_size( const Alloc& a ); |  | (since C++11)

If possible, obtains the maximum theoretically possible allocation size from the allocator `a`, by calling

a.max_size()

If the above is not possible (e.g. `a` does not have the member function `max_size()`), then returns std::numeric_limits<size_type>::max() (until C++17)std::numeric_limits<size_type>::max() / sizeof(value_type) (since C++17)

### Parameters

(none)

### Return value

Theoretical maximum allocation size

### Exceptions

`noexcept` specification:
noexcept

### See also

max_size (deprecated in C++17) | returns the largest supported allocation size (public member function of `std::allocator`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/allocator_traits/max_size&oldid=91545"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template